| Flutter Impeller |

Classes | Enumerations | Functions | Variables
IMPELLER_HPP_NAMESPACE Namespace Reference

## Classes
struct | Proc
struct | ProcTable
class | Object
class | Mapping
class | Context
class | Texture
class | ColorFilter
class | ColorSource
class | ImageFilter
class | MaskFilter
class | GlyphInfo
class | LineMetrics
class | Paragraph
class | Paint
class | ParagraphStyle
class | TypographyContext
class | ParagraphBuilder
class | Path
class | PathBuilder
class | DisplayList
class | Surface
class | VulkanSwapchain
class | DisplayListBuilder

## Enumerations
enum class | AdoptTag { kAdopt }

## Functions
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerColorFilter)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerColorSource)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerContext)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerDisplayList)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerDisplayListBuilder)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerGlyphInfo)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerImageFilter)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerLineMetrics)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerMaskFilter)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerPaint)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerParagraph)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerParagraphBuilder)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerParagraphStyle)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerPath)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerPathBuilder)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerSurface)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerTexture)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerTypographyContext)
| IMPELLER_HPP_DEFINE_TRAITS (ImpellerVulkanSwapchain)

## Variables
ProcTable | gGlobalProcTable

## Enumeration Type Documentation

## ◆ AdoptTag

enum IMPELLER_HPP_NAMESPACE::AdoptTag
| strong

Enumerator
kAdopt |

Definition at line 240 of file impeller.hpp.

240 {
241 kAdopt,
242 };
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt

## Function Documentation

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [1/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerColorFilter |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [2/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerColorSource |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [3/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerContext |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [4/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerDisplayList |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [5/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerDisplayListBuilder |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [6/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerGlyphInfo |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [7/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerImageFilter |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [8/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerLineMetrics |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [9/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerMaskFilter |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [10/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerPaint |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [11/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerParagraph |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [12/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerParagraphBuilder |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [13/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerParagraphStyle |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [14/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerPath |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [15/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerPathBuilder |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [16/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerSurface |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [17/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerTexture |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [18/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerTypographyContext |  | ) |

## ◆ IMPELLER_HPP_DEFINE_TRAITS() [19/19]

IMPELLER_HPP_NAMESPACE::IMPELLER_HPP_DEFINE_TRAITS | ( | ImpellerVulkanSwapchain |  | ) |

## Variable Documentation

## ◆ gGlobalProcTable

ProcTable IMPELLER_HPP_NAMESPACE::gGlobalProcTable

Definition at line 25 of file playground_test.cc.

Referenced by IMPELLER_HPP_NAMESPACE::VulkanSwapchain::AcquireNextSurface(), IMPELLER_HPP_NAMESPACE::PathBuilder::AddArc(), IMPELLER_HPP_NAMESPACE::PathBuilder::AddOval(), IMPELLER_HPP_NAMESPACE::PathBuilder::AddRect(), IMPELLER_HPP_NAMESPACE::PathBuilder::AddRoundedRect(), IMPELLER_HPP_NAMESPACE::ParagraphBuilder::AddText(), IMPELLER_HPP_NAMESPACE::ColorFilter::Blend(), IMPELLER_HPP_NAMESPACE::ImageFilter::Blur(), IMPELLER_HPP_NAMESPACE::MaskFilter::Blur(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Build(), IMPELLER_HPP_NAMESPACE::ParagraphBuilder::Build(), IMPELLER_HPP_NAMESPACE::PathBuilder::Build(), IMPELLER_HPP_NAMESPACE::PathBuilder::BuildCopy(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ClipOval(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ClipPath(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ClipRect(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ClipRoundedRect(), IMPELLER_HPP_NAMESPACE::PathBuilder::Close(), IMPELLER_HPP_NAMESPACE::ImageFilter::Compose(), IMPELLER_HPP_NAMESPACE::ColorSource::ConicalGradient(), IMPELLER_HPP_NAMESPACE::VulkanSwapchain::Create(), IMPELLER_HPP_NAMESPACE::PathBuilder::CubicCurveTo(), IMPELLER_HPP_NAMESPACE::ImageFilter::Dilate(), IMPELLER_HPP_NAMESPACE::Surface::Draw(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawDashedLine(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawDisplayList(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawLine(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawOval(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawPaint(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawParagraph(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawPath(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawRect(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawRoundedRect(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawRoundedRectDifference(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawShadow(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawTexture(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawTextureRect(), IMPELLER_HPP_NAMESPACE::ImageFilter::Erode(), IMPELLER_HPP_NAMESPACE::Paragraph::GetAlphabeticBaseline(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetAscent(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetBaseline(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetCodeUnitEndIndex(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetCodeUnitEndIndexExcludingWhitespace(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetCodeUnitEndIndexIncludingNewline(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetCodeUnitStartIndex(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetDescent(), IMPELLER_HPP_NAMESPACE::GlyphInfo::GetGraphemeClusterBounds(), IMPELLER_HPP_NAMESPACE::GlyphInfo::GetGraphemeClusterCodeUnitRangeBegin(), IMPELLER_HPP_NAMESPACE::GlyphInfo::GetGraphemeClusterCodeUnitRangeEnd(), IMPELLER_HPP_NAMESPACE::Paragraph::GetHeight(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetHeight(), IMPELLER_HPP_NAMESPACE::Paragraph::GetIdeographicBaseline(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetLeft(), IMPELLER_HPP_NAMESPACE::Paragraph::GetLineCount(), IMPELLER_HPP_NAMESPACE::Paragraph::GetLineMetrics(), IMPELLER_HPP_NAMESPACE::Paragraph::GetLongestLineWidth(), IMPELLER_HPP_NAMESPACE::Paragraph::GetMaxIntrinsicWidth(), IMPELLER_HPP_NAMESPACE::Paragraph::GetMaxWidth(), IMPELLER_HPP_NAMESPACE::Paragraph::GetMinIntrinsicWidth(), IMPELLER_HPP_NAMESPACE::Texture::GetOpenGLHandle(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::GetSaveCount(), IMPELLER_HPP_NAMESPACE::GlyphInfo::GetTextDirection(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::GetTransform(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetUnscaledAscent(), IMPELLER_HPP_NAMESPACE::Context::GetVulkanInfo(), IMPELLER_HPP_NAMESPACE::LineMetrics::GetWidth(), IMPELLER_HPP_NAMESPACE::Paragraph::GetWordBoundary(), IMPELLER_HPP_NAMESPACE::Paragraph::GlyphInfoAtCodeUnitIndex(), IMPELLER_HPP_NAMESPACE::Paragraph::GlyphInfoAtParagraphCoordinates(), IMPELLER_HPP_NAMESPACE::ColorSource::Image(), IMPELLER_HPP_NAMESPACE::GlyphInfo::IsEllipsis(), IMPELLER_HPP_NAMESPACE::LineMetrics::IsHardbreak(), IMPELLER_HPP_NAMESPACE::ColorSource::LinearGradient(), IMPELLER_HPP_NAMESPACE::PathBuilder::LineTo(), IMPELLER_HPP_NAMESPACE::ColorFilter::Matrix(), IMPELLER_HPP_NAMESPACE::ImageFilter::Matrix(), IMPELLER_HPP_NAMESPACE::PathBuilder::MoveTo(), IMPELLER_HPP_NAMESPACE::Context::OpenGLES(), IMPELLER_HPP_NAMESPACE::ParagraphBuilder::PopStyle(), IMPELLER_HPP_NAMESPACE::Surface::Present(), IMPELLER_HPP_NAMESPACE::ParagraphBuilder::PushStyle(), IMPELLER_HPP_NAMESPACE::PathBuilder::QuadraticCurveTo(), IMPELLER_HPP_NAMESPACE::ColorSource::RadialGradient(), IMPELLER_HPP_NAMESPACE::TypographyContext::RegisterFont(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ResetTransform(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Restore(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::RestoreToCount(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Rotate(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Save(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::SaveLayer(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Scale(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetBackground(), IMPELLER_HPP_NAMESPACE::Paint::SetBlendMode(), IMPELLER_HPP_NAMESPACE::Paint::SetColor(), IMPELLER_HPP_NAMESPACE::Paint::SetColorFilter(), IMPELLER_HPP_NAMESPACE::Paint::SetColorSource(), IMPELLER_HPP_NAMESPACE::Paint::SetDrawStyle(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetFontFamily(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetFontSize(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetFontStyle(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetFontWeight(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetForeground(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetHeight(), IMPELLER_HPP_NAMESPACE::Paint::SetImageFilter(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetLocale(), IMPELLER_HPP_NAMESPACE::Paint::SetMaskFilter(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetMaxLines(), IMPELLER_HPP_NAMESPACE::Paint::SetStrokeCap(), IMPELLER_HPP_NAMESPACE::Paint::SetStrokeJoin(), IMPELLER_HPP_NAMESPACE::Paint::SetStrokeMiter(), IMPELLER_HPP_NAMESPACE::Paint::SetStrokeWidth(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetTextAlignment(), IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetTextDirection(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::SetTransform(), impeller::interop::testing::SetupImpellerHPPProcTableOnce(), IMPELLER_HPP_NAMESPACE::ColorSource::SweepGradient(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Transform(), IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Translate(), IMPELLER_HPP_NAMESPACE::Texture::WithContents(), IMPELLER_HPP_NAMESPACE::Texture::WithOpenGLTexture(), IMPELLER_HPP_NAMESPACE::Surface::WrapFBO(), and IMPELLER_HPP_NAMESPACE::Surface::WrapMetalDrawable().